# vim: ts=2 sw=2 et
---
# Variables listed here are not committed and are shared between all hosts
# Moreover this file should be protected using
# `env EDITOR=vim ansible-vault edit secret_vars/all.yml`

# name of the common sudo user
sudo_user_username: "walle"

# generally, you want some keys to be deployed on ALL hosts
sudo_user_ssh_keys:
  - "list keys here"

# default admin password, https://documentation.portainer.io/v2.0/deploy/initial/
# `docker run --rm httpd:2.4-alpine htpasswd -nbB admin "password" | cut -d ":" -f 2`
portainer_admin_password: ""

# raw grafana password
promgraf_grafana_admin_password: ""

# consul token, generate it using `ruby -e "require 'securerandom'; puts SecureRandom.uuid"`
consul_acl_master_token: ""

# list of auth users for the backend shared between all hosts (basic auth)
# user:base64(bcrypt(pass)) use bcrypt then echo -n 'my-password' | base64
backend_users:
  - "john:IgXLP6ewTrSuBkTrqE8wj"

# system passwords
# it is advised to have an unique password per host
# generate password using
# `openssl passwd -6`
sudo_user_password: ""
sudo_user_clear_password: ""

root_password: ""

caddy_security_client_secret: ""
caddy_security_crypto_key: ""

...
